ClipPlane Class |
The ClipPlane class defines a clip plane which can be used together with a visible view.
Inheritance Hierarchy
Namespace: Tekla.Structures.Model.UI
Assembly: Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2024.0.0+a110b435391768740483e3032720a566518c9a63
Syntax
The ClipPlane type exposes the following members.
Constructors
Properties
Name | Description | |
---|---|---|
IsBorderVisible | Gets or sets a value indicating whether the clip plane border is visible. | |
IsScissorVisible | Gets or sets a value indicating whether the clip plane scissor icon is visible. | |
Location | The clip plane location in global coordinates (XYZ). | |
UpVector | The clip plane up vector in global coordinates (XYZ). | |
View | The view the clip plane belongs to. |
Methods
Name | Description | |
---|---|---|
Delete |
Deletes the clip plane from the application view.
The application view must be visible.
| |
Insert |
Creates a new clip plane to the application view.
The application view must be visible.
| |
Modify |
Modifies the clip plane position in the application view.
The application view must be visible.
|
Examples
The following example shows how three ClipPlanes are created to the first visible view:
using System; using Tekla.Structures.Model.UI; using Tekla.Structures.Geometry3d; public class ClipPlaneExample { public void ClipPlaneExample1() { ModelViewEnumerator ViewEnum = ViewHandler.GetVisibleViews(); ViewEnum.MoveNext(); View ActiveView = ViewEnum.Current; ClipPlane CPlane = new ClipPlane(); CPlane.View = ActiveView; CPlane.UpVector = new Vector(1, 0, 0); CPlane.Location = new Point(20000, 10000, 5000); CPlane.Insert(); CPlane.UpVector = new Vector(0, 1, 0); CPlane.Location = new Point(10000, 20000, 2000); CPlane.Insert(); CPlane.UpVector = new Vector(0, 0, 1); CPlane.Location = new Point(20000, 20000, 6000); CPlane.Insert(); } }
See Also